<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 01/01/2007 Time: 00:00 AM  |
+===========================================+
*/


if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/media/config.php");
if($member_gp != $allow_edit){
$apt->errmsg("عفوا .. غير مصرح لك بالدخول الى هذه الصفحة");
}


$itemid = $apt->setid('itemid');

if($apt->get['act'] == 'edit'){
$result = $apt->query("SELECT * FROM rafia_media_items where item_id='$itemid'");
if($apt->dbnumrows($result)== 0){$apt->errmsg("عفوا ... المشاركة التي تبحث عنها غير موجوده او تم حذفها");}
@extract($apt->dbarray($result));
$form = new form();


$cat_list = "<select size='1' name='item_cat'>";
$result = $apt->query("SELECT * FROM rafia_media_cat order by cat_main DESC");
while(@extract($apt->dbarray($result))){
if($item_cat == $cat_id){
$cat_list .= "<option selected value='$cat_id'>$cat_title</option>";
}else{
$cat_list .= "<option value='$cat_id'>$cat_title</option>";}
}
$cat_list .= "</select>";



if($item_gcomm  == 1){
$item_comm .= "<b><input type=radio value=1 checked  name=item_comm>نعم&nbsp;&nbsp;&nbsp;&nbsp;
        <input type=radio value=0 name=item_comm> لا</b>";
}else{
$item_comm .= "<b><input type=radio value=1 name=item_comm>نعم&nbsp;&nbsp;&nbsp;&nbsp;
        <input type=radio value=0  checked name=item_comm> لا</b>";}



eval("\$form_code = \"" . $apt->gettemplate ( 'form_code' ) . "\";");
eval("\$media_middle .= \" " . $apt->getmodtemplate ( 'media_edit_post', $modid,$mod_theme ) . "\";");

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'media_main', $modid,$mod_theme ) . "\";");
echo $index_middle;


}elseif($apt->get['act'] == 'doedit'){
if($apt->post["delete"]){
$delp = $apt->query("delete from rafia_media_items where item_id=$itemid");
if(! strstr($item_link,'http://')) @unlink($apt->post['item_link']);
$apt->query("delete from rafia_media_comment where comment_item=$itemid");
$apt->bodymsg("تم حذف المشاركة بنجاح ... سوف ترجع الى الصفحة الرئيسية","mod.php?mod=media");

}else{

//die(print_r($apt->post,1));
$item_title	= $apt->format_data(trim($apt->post["item_title"]));
$item_moalif	= $apt->format_data(trim($apt->post["item_moalif"]));
$post 	= $apt->format_data(trim($apt->post["post"]));
$item_cat 	= $apt->is_No('item_cat','post');
$item_comm = $apt->is_No('item_comm','post');

//-----------------------------
if($apt->files["live_upload"]["tmp_name"]){
//die(print_r($apt->files["live_upload"]));
$file 	= $apt->files["live_upload"]["tmp_name"];
$realname 	= $apt->files["live_upload"]["name"];
$type 	= $apt->files["live_upload"]["type"];
$size 	= $apt->files["live_upload"]["size"];
$ext  	= strrchr($realname,'.');
$size = $size / 1024;
$ext  = strtolower($ext);
$newname = time().rand(9,99).rand(999,99999);
$uploaded = $newname . $ext;
$allow_e = in_array($ext,$allow_ext);
$allow_t = in_array($type,$allow_types);


$mediaply = in_array($ext,$mediaply_ext);
$realply = in_array($ext,$realply_ext);
$flash = in_array($ext,$flash_ext);
$flv   = in_array($ext,$flv_ext);

if($mediaply){
$viewer = 1;
}elseif($realply){
$viewer = 2;
}elseif($flash){
$viewer = 3;
}elseif($flv){
$viewer = 4;
}else{$viewer = 2;}

if(!$allow_e){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا الامتداد من الملفات");
}elseif(!$allow_t){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا النوع من الملفات");
}elseif($size > $ufile_size){
$apt->errmsg("عفوا ... الملف الذي تحاول رفعه اكبر من الحجم المسموح به<br>الحجم المسموح به هو $file_size كيلوبايت");
}elseif(is_file("modules/media/items/$uploaded")){
$apt->errmsg("عفوا ... قد تم رفع هذه الملف من قبل او ان الملف يحمل اسم صوره موجوده مسبقا");
}else{
if(@is_uploaded_file($file)){
@move_uploaded_file($file,"modules/media/items/$uploaded");}
$item_file 	= "modules/media/items/$uploaded";
}
}
//-----------------------------
if($item_file){
if(! strstr($item_link,'http://')) @unlink($apt->post['item_link']);
$item_link 	= $item_file;
}else{
$item_link 	= $apt->format_data(trim($apt->post["item_link"]));
$fname = @basename($item_link);
$ext  = strrchr($fname,'.');
$ext  = strtolower($ext);
$allow_e = in_array($ext,$allow_ext);

$mediaply = in_array($ext,$mediaply_ext);
$realply = in_array($ext,$realply_ext);
$flash = in_array($ext,$flash_ext);
$flv   = in_array($ext,$flv_ext);

if($mediaply){
$viewer = 1;
}elseif($realply){
$viewer = 2;
}elseif($flash){
$viewer = 3;
}elseif($flv){
$viewer = 4;
}else{$viewer = 2;}
}

if(strstr($item_link,'youtube.com'))$viewer = 4;

$apt->query("update rafia_media_items set item_title='$item_title',item_moalif='$item_moalif',item_desc='$post',item_type='$viewer',
item_link='$item_link',item_cat='$item_cat',item_gcomm='$item_comm' where item_id=$itemid");
$apt->bodymsg("تم تعديل المشاركة بنجاح ... سوف ترجع الان الى صفحة العرض","mod.php?mod=media&modfile=item&itemid=$itemid");
}}

elseif($apt->get['act'] == 'editcomment'){
$cid = $apt->setid('cid');
$result = $apt->query("SELECT * FROM rafia_media_comment where comment_item=$itemid and comment_id=$cid");
if($apt->dbnumrows($result)== 0){$apt->errmsg("عفوا ...لا يوجد تعليق ");}
@extract($apt->dbarray($result));
eval("\$media_middle .= \" " . $apt->getmodtemplate ( 'media_edit_comment', $modid,$mod_theme ) . "\";");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'media_main', $modid,$mod_theme ) . "\";");
echo $index_middle;


}elseif($apt->get['act'] == 'okeditcomment'){
$cid = $apt->setid('cid');
$comment_text	= $apt->format_data(trim($apt->post["comment_text"]));
$apt->query("update rafia_media_comment set comment_text='$comment_text' ,comment_allow='1' where comment_item=$itemid and comment_id=$cid");
$apt->bodymsg("تم تعديل التعليق بنجاح ... سوف ترجع الان الى صفحة العرض","mod.php?mod=media&modfile=item&itemid=$itemid");
}

elseif($apt->get['act'] == 'delcom'){
$cid = $apt->setid('cid');
$apt->query("delete from rafia_media_comment where comment_item=$itemid and comment_id=$cid");
$apt->query("update rafia_media_items set item_comment=item_comment-1 where item_id=$itemid");
$apt->bodymsg("تم حذف التعليق بنجاح ... سوف ترجع الان الى صفحة العرض","mod.php?mod=media&modfile=item&itemid=$itemid");
}

elseif($apt->get['act'] == 'sticky'){
$itemid = $apt->setid('itemid');
$apt->query("update rafia_media_items set item_sticky='1' where item_id=$itemid");
$apt->bodymsg("تم تمييز المشاركة بنجاح ... سوف ترجع الان الى صفحة العرض","mod.php?mod=media&modfile=item&itemid=$itemid");
}

elseif($apt->get['act'] == 'nosticky'){
$itemid = $apt->setid('itemid');
$apt->query("update rafia_media_items set item_sticky='0' where item_id=$itemid");
$apt->bodymsg("تم ألفاء تمييز المشاركة بنجاح ... سوف ترجع الان الى صفحة العرض","mod.php?mod=media&modfile=item&itemid=$itemid");


}else{
$url = "mod.php?mod=media";
$apt->bodymsg("عفوا .. يبدو انك اخطأت بالعنوان<br>انتظر قليلا ليتم نقلك الى الصفحة الرئيسية",$url);
}
?>